Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote
Class JMXConnectionMBeanServerConnection

    java.lang.Object
      mx4j.tools.remote.JMXConnectionMBeanServerConnection

All Implemented Interfaces:
  javax.management.MBeanServerConnection

Direct Known Subclasses:
  HTTPConnectionMBeanServerConnection

public abstract class JMXConnectionMBeanServerConnection
extends java.lang.Object
implements javax.management.MBeanServerConnection

Abstract implementation of an adapter that converts MBeanServerConnection calls to JMXConnection calls. It does not handle nor marshalling nor remote notifications, which are left to subclasses. This is the client side counterpart of `AbstractServerInvoker`

Version:
  $Revision: 1.3 $

Constructor Summary
`protected` | `JMXConnectionMBeanServerConnection(JMXConnection connection, javax.security.auth.Subject delegate)`

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName observed, javax.management.ObjectName listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName, java.lang.Object[] args, java.lang.String[] parameters)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName, javax.management.ObjectName loaderName)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName, javax.management.ObjectName loaderName, java.lang.Object[] args, java.lang.String[] parameters)`
`java.lang.Object` | `getAttribute(javax.management.ObjectName objectName, java.lang.String attribute)`
`javax.management.AttributeList` | `getAttributes(javax.management.ObjectName objectName, java.lang.String[] attributes)`
`protected JMXConnection` | `getConnection()`
`java.lang.String` | `getDefaultDomain()`
`protected javax.security.auth.Subject` | `getDelegateSubject()`
`java.lang.String[]` | `getDomains()`
`java.lang.Integer` | `getMBeanCount()`
`javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName objectName)`
`javax.management.ObjectInstance` | `getObjectInstance(javax.management.ObjectName objectName)`
`java.lang.Object` | `invoke(javax.management.ObjectName objectName, java.lang.String methodName, java.lang.Object[] args, java.lang.String[] parameters)`
`boolean` | `isInstanceOf(javax.management.ObjectName objectName, java.lang.String className)`
`boolean` | `isRegistered(javax.management.ObjectName objectName)`
`java.util.Set` | `queryMBeans(javax.management.ObjectName patternName, javax.management.QueryExp filter)`
`java.util.Set` | `queryNames(javax.management.ObjectName patternName, javax.management.QueryExp filter)`
`void` | `removeNotificationListener(javax.management.ObjectName observed, javax.management.ObjectName listener)`
`void` | `removeNotificationListener(javax.management.ObjectName observed, javax.management.ObjectName listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`void` | `setAttribute(javax.management.ObjectName objectName, javax.management.Attribute attribute)`
`javax.management.AttributeList` | `setAttributes(javax.management.ObjectName objectName, javax.management.AttributeList attributes)`
`void` | `unregisterMBean(javax.management.ObjectName objectName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.MBeanServerConnection
`addNotificationListener, removeNotificationListener, removeNotificationListener`

Constructor Detail

### JMXConnectionMBeanServerConnection

    protected JMXConnectionMBeanServerConnection(JMXConnection connection,
                                                 javax.security.auth.Subject delegate)

Method Detail

### getConnection

    protected JMXConnection getConnection()

### getDelegateSubject

    protected javax.security.auth.Subject getDelegateSubject()

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName objectName)
                                            throws javax.management.InstanceNotFoundException,
                                                   javax.management.IntrospectionException,
                                                   javax.management.ReflectionException,
                                                   java.io.IOException

  Specified by:
    `getMBeanInfo` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.IntrospectionException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### isInstanceOf

    public boolean isInstanceOf(javax.management.ObjectName objectName,
                                java.lang.String className)
                         throws javax.management.InstanceNotFoundException,
                                java.io.IOException

  Specified by:
    `isInstanceOf` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### getDomains

    public java.lang.String[] getDomains()
                                  throws java.io.IOException

  Specified by:
    `getDomains` in interface `javax.management.MBeanServerConnection`
  Throws:
    `java.io.IOException`

### getDefaultDomain

    public java.lang.String getDefaultDomain()
                                      throws java.io.IOException

  Specified by:
    `getDefaultDomain` in interface `javax.management.MBeanServerConnection`
  Throws:
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       java.io.IOException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       java.lang.Object[] args,
                                                       java.lang.String[] parameters)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       java.io.IOException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName loaderName)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.io.IOException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName loaderName,
                                                       java.lang.Object[] args,
                                                       java.lang.String[] parameters)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.io.IOException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName objectName)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException,
                                java.io.IOException

  Specified by:
    `unregisterMBean` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanRegistrationException`
    `java.io.IOException`

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName objectName,
                                         java.lang.String attribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.ReflectionException,
                                         java.io.IOException

  Specified by:
    `getAttribute` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### setAttribute

    public void setAttribute(javax.management.ObjectName objectName,
                             javax.management.Attribute attribute)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             java.io.IOException

  Specified by:
    `setAttribute` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName objectName,
                                                        java.lang.String[] attributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.io.IOException

  Specified by:
    `getAttributes` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName objectName,
                                                        javax.management.AttributeList attributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.io.IOException

  Specified by:
    `setAttributes` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### invoke

    public java.lang.Object invoke(javax.management.ObjectName objectName,
                                   java.lang.String methodName,
                                   java.lang.Object[] args,
                                   java.lang.String[] parameters)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException,
                                   java.io.IOException

  Specified by:
    `invoke` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getMBeanCount

    public java.lang.Integer getMBeanCount()
                                    throws java.io.IOException

  Specified by:
    `getMBeanCount` in interface `javax.management.MBeanServerConnection`
  Throws:
    `java.io.IOException`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName objectName)
                         throws java.io.IOException

  Specified by:
    `isRegistered` in interface `javax.management.MBeanServerConnection`
  Throws:
    `java.io.IOException`

### getObjectInstance

    public javax.management.ObjectInstance getObjectInstance(javax.management.ObjectName objectName)
                                                      throws javax.management.InstanceNotFoundException,
                                                             java.io.IOException

  Specified by:
    `getObjectInstance` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName patternName,
                                     javax.management.QueryExp filter)
                              throws java.io.IOException

  Specified by:
    `queryMBeans` in interface `javax.management.MBeanServerConnection`
  Throws:
    `java.io.IOException`

### queryNames

    public java.util.Set queryNames(javax.management.ObjectName patternName,
                                    javax.management.QueryExp filter)
                             throws java.io.IOException

  Specified by:
    `queryNames` in interface `javax.management.MBeanServerConnection`
  Throws:
    `java.io.IOException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName observed,
                                        javax.management.ObjectName listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws javax.management.InstanceNotFoundException,
                                        java.io.IOException

  Specified by:
    `addNotificationListener` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.ObjectName listener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.ObjectName listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServerConnection`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.